Package org.apache.solr.client.solrj.impl

# Class CloudSolrClient.RouteResponse<T extends LBSolrClient.Req>

java.lang.Object
org.apache.solr.common.util.NamedList<Object>
org.apache.solr.client.solrj.impl.CloudSolrClient.RouteResponse<T>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Map.Entry<String,Object>>`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  `CloudSolrClient`

public static class CloudSolrClient.RouteResponse<T extends LBSolrClient.Req> extends NamedList<Object>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.common.util.NamedList

`NamedList.NamedListEntry<T>`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from class org.apache.solr.common.util.NamedList

`nvPairs`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`RouteResponse()`

## Method Summary

Modifier and Type
Method
Description
`NamedList<NamedList<?>>`
`getRouteResponses()`
`Map<String,T>`
`getRoutes()`
`void`
`setRouteResponses(NamedList<NamedList<?>> routeResponses)`
`void`
`setRoutes(Map<String,T> routes)`

### Methods inherited from class org.apache.solr.common.util.NamedList

`add, addAll, addAll, asMap, asShallowMap, asShallowMap, clear, clone, equals, forEach, get, get, getAll, getBooleanArg, getImmutableCopy, getName, getOrDefault, getVal, hashCode, indexOf, indexOf, iterator, remove, remove, removeAll, removeBooleanArg, removeConfigArgs, setName, setVal, size, toSolrParams, toString, writeMap`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### RouteResponse

public RouteResponse()

## Method Details

### setRouteResponses

public void setRouteResponses(NamedList<NamedList<?>> routeResponses)

### getRouteResponses

public NamedList<NamedList<?>> getRouteResponses()

### setRoutes

public void setRoutes(Map<String,T> routes)

### getRoutes

public Map<String,T> getRoutes()